addhook("startround","tree_roundstart")
addhook("second","tree_second")
addhook("break","tree_break")

parse("restart")

imagepath = "pseudon/entity02/tree.bmp"
tree = {}

tree.on = false

--- OPTIONS ----------------
tree.red = 000
tree.green = 200
tree.blue = 000
tree.transparency = 0.8
----------------------------

tree.tileVarx = {}

tree.tileVar = {}
tree.tileVarb = {}
tree.tileVarc = {}
tree.tileVard = {}
tree.tileVare = {}
tree.tileVarf = {}
tree.tileVarg = {}
tree.tileVarh = {}

tree.tileVar_ = {}
tree.tileVarb_ = {}
tree.tileVarc_ = {}
tree.tileVard_ = {}
tree.tileVare_ = {}
tree.tileVarf_ = {}
tree.tileVarg_ = {}
tree.tileVarh_ = {}

treebool = true
secondbool = true

function tree_roundstart()
	tree.on = true
	for x = 0, map'xsize' do
	
		tree.tileVarx[x] = {}
	
		tree.tileVar[x] = {}
		tree.tileVarb[x] = {}
		tree.tileVarc[x] = {}
		tree.tileVard[x] = {}
		tree.tileVare[x] = {}
		tree.tileVarf[x] = {}
		tree.tileVarg[x] = {}
		tree.tileVarh[x] = {}
		
		---------------------------------------------------------------------------------
		
		tree.tileVar_[x] = {}
		tree.tileVarb_[x] = {}
		tree.tileVarc_[x] = {}
		tree.tileVard_[x] = {}
		tree.tileVare_[x] = {}
		tree.tileVarf_[x] = {}
		tree.tileVarg_[x] = {}
		tree.tileVarh_[x] = {}
		
		for y = 0, map'ysize' do
			if entity(x,y,"typename") == "Env_Breakable" then
				if entity(x,y,"name") == "tree" then
				
					tree.tileVarx[x][y] = entity(x,y,"trigger")
					
					tree.tileVarg[x][y]=image("gfx/"..imagepath,x * 32 + 24,y * 32 + 28,3)
					imagescale(tree.tileVarg[x][y],0.75,0.75)
					imagealpha(tree.tileVarg[x][y],tree.transparency)
					imagecolor(tree.tileVarg[x][y],tree.red,tree.green,tree.blue)
					
					tree.tileVarf[x][y]=image("gfx/"..imagepath,x * 32 + 8,y * 32 + 28,3)
					imagescale(tree.tileVarf[x][y],0.75,0.75)
					imagealpha(tree.tileVarf[x][y],tree.transparency)
					imagecolor(tree.tileVarf[x][y],tree.red,tree.green,tree.blue)
					
					tree.tileVare[x][y]=image("gfx/"..imagepath,x * 32 + 40,y * 32 + 12,3)
					imagescale(tree.tileVare[x][y],0.75,0.75)
					imagealpha(tree.tileVare[x][y],tree.transparency)
					imagecolor(tree.tileVare[x][y],tree.red,tree.green,tree.blue)
					
					tree.tileVard[x][y]=image("gfx/"..imagepath,x * 32 - 8,y * 32 + 12,3)
					imagescale(tree.tileVard[x][y],0.75,0.75)
					imagealpha(tree.tileVard[x][y],tree.transparency)
					imagecolor(tree.tileVard[x][y],tree.red,tree.green,tree.blue)
					
					tree.tileVar[x][y]=image("gfx/"..imagepath,x * 32 + 16,y * 32 - 20,3)
					imagescale(tree.tileVar[x][y],0.75,0.75)
					imagealpha(tree.tileVar[x][y],tree.transparency)
					imagecolor(tree.tileVar[x][y],tree.red,tree.green,tree.blue)
					
					tree.tileVarc[x][y]=image("gfx/"..imagepath,x * 32,y * 32 - 12,3)
					imagescale(tree.tileVarc[x][y],0.75,0.75)
					imagealpha(tree.tileVarc[x][y],tree.transparency)
					imagecolor(tree.tileVarc[x][y],tree.red,tree.green,tree.blue)
					
					tree.tileVarb[x][y]=image("gfx/"..imagepath,x * 32 + 32,y * 32 - 12,3)
					imagescale(tree.tileVarb[x][y],0.75,0.75)
					imagealpha(tree.tileVarb[x][y],tree.transparency)
					imagecolor(tree.tileVarb[x][y],tree.red,tree.green,tree.blue)
					
					tree.tileVarh[x][y]=image("gfx/"..imagepath,x * 32 + 16,y * 32 + 12,3)
					imagescale(tree.tileVarh[x][y],0.75,0.75)
					imagealpha(tree.tileVarh[x][y],tree.transparency - 0.2)
					imagecolor(tree.tileVarh[x][y],tree.red,tree.green,tree.blue)
					
					---------------------------------------------------------------------------------
					
					tree.tileVarg_[x][y]=image("gfx/"..imagepath,x * 32 + 32,y * 32 + 36,0)
					imagescale(tree.tileVarg_[x][y],0.75,0.75)
					imagealpha(tree.tileVarg_[x][y],0.4)
					imagecolor(tree.tileVarg_[x][y],000,000,000)
					
					tree.tileVarf_[x][y]=image("gfx/"..imagepath,x * 32 + 16,y * 32 + 36,0)
					imagescale(tree.tileVarf_[x][y],0.75,0.75)
					imagealpha(tree.tileVarf_[x][y],0.4)
					imagecolor(tree.tileVarf_[x][y],000,000,000)
					
					tree.tileVare_[x][y]=image("gfx/"..imagepath,x * 32 + 48,y * 32 + 20,0)
					imagescale(tree.tileVare_[x][y],0.75,0.75)
					imagealpha(tree.tileVare_[x][y],0.4)
					imagecolor(tree.tileVare_[x][y],000,000,000)
					
					tree.tileVard_[x][y]=image("gfx/"..imagepath,x * 32,y * 32 + 20,0)
					imagescale(tree.tileVard_[x][y],0.75,0.75)
					imagealpha(tree.tileVard_[x][y],0.4)
					imagecolor(tree.tileVard_[x][y],000,000,000)
					
					tree.tileVar_[x][y]=image("gfx/"..imagepath,x * 32 + 24,y * 32 - 12,0)
					imagescale(tree.tileVar_[x][y],0.75,0.75)
					imagealpha(tree.tileVar_[x][y],0.4)
					imagecolor(tree.tileVar_[x][y],000,000,000)
					
					tree.tileVarc_[x][y]=image("gfx/"..imagepath,x * 32 + 8,y * 32 - 4,0)
					imagescale(tree.tileVarc_[x][y],0.75,0.75)
					imagealpha(tree.tileVarc_[x][y],0.4)
					imagecolor(tree.tileVarc_[x][y],000,000,000)
					
					tree.tileVarb_[x][y]=image("gfx/"..imagepath,x * 32 + 40,y * 32 - 4,0)
					imagescale(tree.tileVarb_[x][y],0.75,0.75)
					imagealpha(tree.tileVarb_[x][y],0.4)
					imagecolor(tree.tileVarb_[x][y],000,000,000)
					
					tree.tileVarh_[x][y]=image("gfx/"..imagepath,x * 32 + 24,y * 32 + 20,0)
					imagescale(tree.tileVarh_[x][y],0.75,0.75)
					imagealpha(tree.tileVarh_[x][y],0.4)
					imagecolor(tree.tileVarh_[x][y],000,000,000)
					
				end
			end
		end
	end
end

function tree_second()
if tree.on == true then
	for x = 0, map'xsize' do
		for y = 0, map'ysize' do
			if entity(x,y,"typename") == "Env_Breakable" then
				if entity(x,y,"name") == "tree" then
					if secondbool == false then
						if treebool == true then
						
							tween_rotate(tree.tileVar[x][y],1900,20)
							tween_rotate(tree.tileVarb[x][y],2000,25)
							tween_rotate(tree.tileVarc[x][y],1900,-5)
							tween_rotate(tree.tileVard[x][y],2000,20)
							tween_rotate(tree.tileVare[x][y],1900,25)
							tween_rotate(tree.tileVarf[x][y],2000,-5)
							tween_rotate(tree.tileVarg[x][y],1900,20)
							tween_rotate(tree.tileVarh[x][y],2000,35)
							
							---------------------------------------------------------------------------------
							
							tween_rotate(tree.tileVar_[x][y],1900,20)
							tween_rotate(tree.tileVarb_[x][y],2000,25)
							tween_rotate(tree.tileVarc_[x][y],1900,-5)
							tween_rotate(tree.tileVard_[x][y],2000,20)
							tween_rotate(tree.tileVare_[x][y],1900,25)
							tween_rotate(tree.tileVarf_[x][y],2000,-5)
							tween_rotate(tree.tileVarg_[x][y],1900,20)
							tween_rotate(tree.tileVarh_[x][y],2000,35)
							
							treebool = false
							
						else
						
							tween_rotate(tree.tileVar[x][y],2000,-5)
							tween_rotate(tree.tileVarb[x][y],1900,0)
							tween_rotate(tree.tileVarc[x][y],2000,20)
							tween_rotate(tree.tileVard[x][y],1900,-5)
							tween_rotate(tree.tileVare[x][y],2000,0)
							tween_rotate(tree.tileVarf[x][y],1900,20)
							tween_rotate(tree.tileVarg[x][y],2000,-5)
							tween_rotate(tree.tileVarh[x][y],1900,-5)
							
							---------------------------------------------------------------------------------
							
							tween_rotate(tree.tileVar_[x][y],2000,-5)
							tween_rotate(tree.tileVarb_[x][y],1900,0)
							tween_rotate(tree.tileVarc_[x][y],2000,20)
							tween_rotate(tree.tileVard_[x][y],1900,-5)
							tween_rotate(tree.tileVare_[x][y],2000,0)
							tween_rotate(tree.tileVarf_[x][y],1900,20)
							tween_rotate(tree.tileVarg_[x][y],2000,-5)
							tween_rotate(tree.tileVarh_[x][y],1900,-5)
							
							treebool = true
							
						end
						
						secondbool = true
						
					else
					
						secondbool = false
						
					end
				end
			end
		end
	end
end
end

function tree_break(x,y,id)
	if entity(x,y,"typename") == "Env_Breakable" then
		if entity(x,y,"name") == "tree" then
		
			tween_rotateconstantly(tree.tileVar[x][y],5)
			tween_rotateconstantly(tree.tileVarb[x][y],5)
			tween_rotateconstantly(tree.tileVarc[x][y],5)
			tween_rotateconstantly(tree.tileVard[x][y],5)
			tween_rotateconstantly(tree.tileVare[x][y],5)
			tween_rotateconstantly(tree.tileVarf[x][y],5)
			tween_rotateconstantly(tree.tileVarg[x][y],5)
			tween_rotateconstantly(tree.tileVarh[x][y],5)
			
			tween_move(tree.tileVar[x][y],1000,x * 32 + 24,y * 32 + 24)
			tween_move(tree.tileVarb[x][y],1000,x * 32 + 26,y * 32 + 26)
			tween_move(tree.tileVarc[x][y],1000,x * 32 + 28,y * 32 + 28)
			tween_move(tree.tileVard[x][y],1000,x * 32 + 30,y * 32 + 30)
			tween_move(tree.tileVare[x][y],1000,x * 32 + 32,y * 32 + 32)
			tween_move(tree.tileVarf[x][y],1000,x * 32 + 34,y * 32 + 34)
			tween_move(tree.tileVarg[x][y],1000,x * 32 + 36,y * 32 + 36)
			tween_move(tree.tileVarh[x][y],1000,x * 32 + 38,y * 32 + 38)
			
			tween_alpha(tree.tileVar[x][y],1000,0.0)
			tween_alpha(tree.tileVarb[x][y],1000,0.0)
			tween_alpha(tree.tileVarc[x][y],1000,0.0)
			tween_alpha(tree.tileVard[x][y],1000,0.0)
			tween_alpha(tree.tileVare[x][y],1000,0.0)
			tween_alpha(tree.tileVarf[x][y],1000,0.0)
			tween_alpha(tree.tileVarg[x][y],1000,0.0)
			tween_alpha(tree.tileVarh[x][y],1000,0.0)
			
			---------------------------------------------------------------------------------
			
			tween_rotateconstantly(tree.tileVar_[x][y],5)
			tween_rotateconstantly(tree.tileVarb_[x][y],5)
			tween_rotateconstantly(tree.tileVarc_[x][y],5)
			tween_rotateconstantly(tree.tileVard_[x][y],5)
			tween_rotateconstantly(tree.tileVare_[x][y],5)
			tween_rotateconstantly(tree.tileVarf_[x][y],5)
			tween_rotateconstantly(tree.tileVarg_[x][y],5)
			tween_rotateconstantly(tree.tileVarh_[x][y],5)
			
			tween_move(tree.tileVar_[x][y],1000,x * 32 + 24,y * 32 + 24)
			tween_move(tree.tileVarb_[x][y],1000,x * 32 + 26,y * 32 + 26)
			tween_move(tree.tileVarc_[x][y],1000,x * 32 + 28,y * 32 + 28)
			tween_move(tree.tileVard_[x][y],1000,x * 32 + 30,y * 32 + 30)
			tween_move(tree.tileVare_[x][y],1000,x * 32 + 32,y * 32 + 32)
			tween_move(tree.tileVarf_[x][y],1000,x * 32 + 34,y * 32 + 34)
			tween_move(tree.tileVarg_[x][y],1000,x * 32 + 36,y * 32 + 36)
			tween_move(tree.tileVarh_[x][y],1000,x * 32 + 38,y * 32 + 38)
			
			tween_alpha(tree.tileVar_[x][y],1000,0.0)
			tween_alpha(tree.tileVarb_[x][y],1000,0.0)
			tween_alpha(tree.tileVarc_[x][y],1000,0.0)
			tween_alpha(tree.tileVard_[x][y],1000,0.0)
			tween_alpha(tree.tileVare_[x][y],1000,0.0)
			tween_alpha(tree.tileVarf_[x][y],1000,0.0)
			tween_alpha(tree.tileVarg_[x][y],1000,0.0)
			tween_alpha(tree.tileVarh_[x][y],1000,0.0)
			
			---------------------------------------------------------------------------------
			
			timer(1000,"parse","lua freeimage(tree.tileVar["..x.."]["..y.."])")
			timer(1000,"parse","lua freeimage(tree.tileVarb["..x.."]["..y.."])")
			timer(1000,"parse","lua freeimage(tree.tileVarc["..x.."]["..y.."])")
			timer(1000,"parse","lua freeimage(tree.tileVard["..x.."]["..y.."])")
			timer(1000,"parse","lua freeimage(tree.tileVare["..x.."]["..y.."])")
			timer(1000,"parse","lua freeimage(tree.tileVarf["..x.."]["..y.."])")
			timer(1000,"parse","lua freeimage(tree.tileVarg["..x.."]["..y.."])")
			timer(1000,"parse","lua freeimage(tree.tileVarh["..x.."]["..y.."])")
			
			timer(1000,"parse","lua freeimage(tree.tileVar_["..x.."]["..y.."])")
			timer(1000,"parse","lua freeimage(tree.tileVarb_["..x.."]["..y.."])")
			timer(1000,"parse","lua freeimage(tree.tileVarc_["..x.."]["..y.."])")
			timer(1000,"parse","lua freeimage(tree.tileVard_["..x.."]["..y.."])")
			timer(1000,"parse","lua freeimage(tree.tileVare_["..x.."]["..y.."])")
			timer(1000,"parse","lua freeimage(tree.tileVarf_["..x.."]["..y.."])")
			timer(1000,"parse","lua freeimage(tree.tileVarg_["..x.."]["..y.."])")
			timer(1000,"parse","lua freeimage(tree.tileVarh_["..x.."]["..y.."])")
			
		end
	end
end